summaryrefslogtreecommitdiffstats
path: root/build-gluster-org/scripts/shellcheck.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build-gluster-org/scripts/shellcheck.sh')
-rw-r--r--build-gluster-org/scripts/shellcheck.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/build-gluster-org/scripts/shellcheck.sh b/build-gluster-org/scripts/shellcheck.sh
new file mode 100644
index 0000000..f5e2278
--- /dev/null
+++ b/build-gluster-org/scripts/shellcheck.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+./autogen.sh
+./configure --disable-bd-xlator --enable-debug --enable-gnfs --silent
+
+find . -path ./.git -prune -o -path ./tests -prune -o -exec file {} \; \
+ | grep "shell script" \
+ | cut -d: -f 1 \
+ | xargs shellcheck \
+ >shellcheck.txt
+
+SHELLCHECK_COUNT="$(grep -c 'In' shellcheck.txt)"
+
+#fail build if there's any issue or warning
+if [[ "$SHELLCHECK_COUNT" -gt 0 ]]; then
+ echo ""
+ echo "========================================================="
+ echo " Result of ShellCheck"
+ echo " Number of ShellCheck errors/warnings: ${SHELLCHECK_COUNT}"
+ echo "========================================================="
+ exit 1
+fi